# {{ ansible_managed }}
#

sql.store.driver   = {{ content_management.sql.store.driver }}
sql.store.password = {{ content_management.sql.store.password }}
sql.store.url      = {{ content_management.sql.store.url }}
sql.store.user     = {{ content_management.sql.store.user }}

# --- database connection prototypes (if appropriate copy&paste upwards) --------------------------------------------------

# Oracle

#sql.store.driver=oracle.jdbc.driver.OracleDriver
#sql.store.url=jdbc:oracle:thin:@localhost:1521:CM
#sql.store.user=COREMEDIA
#sql.store.password=COREMEDIA


# DB2

#sql.store.driver=com.ibm.db2.jcc.DB2Driver
#sql.store.url=jdbc:db2://localhost:50000/cm
#sql.store.user=myuser
#sql.store.password=mypassword


# Microsoft SQL Server and Microsoft SQL Server Express with Microsoft JDBC driver

#sql.store.driver=com.microsoft.sqlserver.jdbc.SQLServerDriver
#sql.store.url=jdbc:sqlserver://localhost:1433;databaseName=CM
#sql.store.user=COREMEDIA
#sql.store.password=COREMEDIA


# PostgreSQL

#sql.store.driver=org.postgresql.Driver
#sql.store.url=jdbc:postgresql://localhost:5432/coremedia
#sql.store.user=cmprod
#sql.store.password=cmprod


# MySQL

#sql.store.driver=com.mysql.cj.jdbc.Driver
#sql.store.url=jdbc:mysql://localhost:3306/coremedia
#sql.store.user=coremedia
#sql.store.password=coremedia

# --- other configuration -------------------------------------------------------------------

# create missing tables
sql.schema.createTable=true

# refuse to start if columns defined in doctypes are missing in the database (checkColumns=true, alterTable=false)
sql.schema.checkColumns=true

# add missing columns and adjust width of string columns
sql.schema.alterTable=false

# add missing and drop superfluous indexes
sql.schema.createDropIndexes=false

# XML property conversion

# Converters for custom XML formats
#sql.store.convert.<DocumentType>.<PropertyType>=com.customer.XMLConverter

# By default, the Sgml2RichtextConverter will translate <HOX.IMAGE ID="99"/>
# into <img xlink:href="coremedia:///cap/resources/99" .../>
# If the following property is set, the configured property name will be appended to the image URL:
#      <img xlink:href="coremedia:///cap/resources/99/thumbnail" .../>
#sql.store.convert.defaultHoxImageProperty=thumbnail

# Correct errors in coremedia-richtext-1.0 if content was produced with a
# CAP/SCT version < 4.1.38
#sql.store.convert.correctRichText=true

# Filter out invalid XML characters in database content produced with a
# CAP/SCT version < 4.1.xx
#sql.store.convert.filterXmlChars=true

# Correct Preferences documents which have been produced before 4.0
#sql.store.convert.correctPreferences=true

# JDBC API supported by driver, leave empty or use 2.0, 2.1 or 3.0
sql.store.driver.jdbc=


# Transaction isolation level, an empty value uses the driver default setting
sql.store.isolation=


# --- Debugging and Tuning ----------------------------------------------------------------
# Do not change without proper authorization

#sql.store.logDriverMessages=false

#sql.store.collector.initialDelay=600
#sql.store.collector.delay=86400
#sql.store.collector.startTime=-1
#sql.store.collector.optimizer.interval=72000
#sql.store.collector.optimizer.minDelay=100
#sql.store.collector.optimizer.maxDelay=5000
#sql.store.collector.blob.preservationperiod=86400
# While the following flag is set to true, unused blobs will not be deleted in the blob store.
# When using a non-transactional blob store (e.g. file system), you should suspend blob deletion during backup.
#sql.store.collector.suspend=false

# seconds between cache statistics log entries to facility cap.server.store.sgmlcache
#sql.store.sgmlcache.interval=0

#sql.pool.logScheduleMessages=false
#sql.pool.logVerbose=false
#sql.pool.logQueries=false
#sql.pool.logQueryStatements=false
#sql.pool.minConnections=2
#sql.pool.maxConnections=4
#sql.pool.maxQueries=4
#sql.pool.reaperInterval=120
#sql.pool.reaperTimeout=180
#sql.pool.validatorInterval=300
#sql.pool.validatorTimeout=120
#sql.pool.checkTimeout=5
#sql.pool.openTimeout=30
#sql.pool.closeTimeout=30

#sql.store.preparedStatementCacheSize=100
